startmacro

! Test the existence and setting of global values
assert/text="GLOBAL: Global_result non-EXISTENCE" &
      temp_global_result NREXISTS

call make_result_1

assert/text="GLOBAL: Global_result EXISTENCE" &
      temp_global_result REXISTS

assert/text="GLOBAL: Global_result = ^temp_global_result" &
      temp_global_result EQS "UNTYPED_GLOBAL"

! Test the removal of global values
call del_result_1

assert/text="GLOBAL: Remove global result" temp_global_result NREXISTS

endmacro

! Create a result and make it global.
procedure make_result_1
global temp_global_result
result temp_global_result "UNTYPED_GLOBAL"
return

! Remove a result from the global table.
procedure del_result_1
remove/global temp_global_result
return
